%global bootstrap 1

%if !0%{?bootstrap}
%global tests 1
%endif

%global framework importwizard

Name:    akonadi-import-wizard
Summary: Akonadi Import Wizard
Version: 23.08.4
Release:    1%{?dist}

License: GPLv2 and GFDL
URL:     https://invent.kde.org/pim/%{name}

%global revision %(echo %{version} | cut -d. -f3)
%if %{revision} >= 50
%global stable unstable
%else
%global stable stable
%endif
Source0: http://download.kde.org/%{stable}/release-service/%{version}/src/%{name}-%{version}.tar.xz

%{?qt5_qtwebengine_arches:ExclusiveArch: %{qt5_qtwebengine_arches}}

BuildRequires: desktop-file-utils
BuildRequires: gettext

BuildRequires: cmake(Qt5Widgets)

BuildRequires: extra-cmake-modules
BuildRequires: cmake(Grantlee5)
BuildRequires: kf5-rpm-macros
BuildRequires: cmake(KF5Auth)
BuildRequires: cmake(KF5Config)
BuildRequires: cmake(KF5Crash)
BuildRequires: cmake(KF5DBusAddons)
BuildRequires: cmake(KF5DocTools)
BuildRequires: cmake(KF5KIO)
BuildRequires: cmake(KF5Wallet)

%global majmin_ver 5.113.0
BuildRequires:  kf5-akonadi-server-devel >= %{majmin_ver}
BuildRequires:  kf5-kcontacts-devel >= %{majmin_ver}
BuildRequires:  kf5-kidentitymanagement-devel >= %{majmin_ver}
BuildRequires:  kf5-kmailtransport-devel >= %{majmin_ver}
BuildRequires:  kf5-libkdepim-devel >= %{majmin_ver}
BuildRequires:  kf5-mailcommon-devel >= %{majmin_ver}
BuildRequires:  kf5-mailimporter-devel >= %{majmin_ver}
BuildRequires:  kf5-messagelib-devel >= %{majmin_ver}
BuildRequires:  kf5-pimcommon-devel >= %{majmin_ver}

BuildRequires: cmake(Qt5Keychain)

%if 0%{?tests}
BuildRequires: dbus-x11
BuildRequires: xorg-x11-server-Xvfb
BuildRequires: make
%endif

Conflicts: kdepim-common < 16.12

%description
%{summary}.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}
Requires:       cmake(KF5MailTransport)
%description    devel
%{summary}.



%prep
%autosetup -p1


%build
%cmake_kf5 \
  -DBUILD_TESTING:BOOL=%{?tests:ON}%{!?tests:OFF}

%cmake_build


%install
%cmake_install

%find_lang %{name} --all-name --with-html


%check
desktop-file-validate %{buildroot}%{_kf5_datadir}/applications/org.kde.akonadiimportwizard.desktop
%if 0%{?tests}
export CTEST_OUTPUT_ON_FAILURE=1
xvfb-run -a \
dbus-launch --exit-with-session \
make test ARGS="--output-on-failure --timeout 20" -C %{_target_platform} ||:
%endif



%files -f %{name}.lang
%license LICENSES/*
%{_kf5_datadir}/qlogging-categories5/*%{framework}.*
%{_kf5_bindir}/akonadiimportwizard
%{_kf5_datadir}/applications/org.kde.akonadiimportwizard.desktop
%{_kf5_datadir}/icons/hicolor/*/apps/kontact-import-wizard.*
%{_kf5_datadir}/importwizard/
%{_kf5_libdir}/libKPim5ImportWizard.so.5*
%{_kf5_qtplugindir}/pim5/importwizard/

%files devel
%{_kf5_libdir}/libKPim5ImportWizard.so
%{_kf5_libdir}/cmake/KPimImportWizard/
%{_kf5_libdir}/cmake/KPim5ImportWizard/
%dir %{_includedir}/KPim5/
%{_includedir}/KPim5/ImportWizard/

%changelog
* Fri Jun 28 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 23.08.4-1
- initial build
